------------------------------------------------------------
-- VHDL FPGARFCounterComparator3
-- 2021 8 19 11 57 28
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGARFCounterComparator3
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGARFCounterComparator3 Is
  port
  (
    X_1PPS          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=1PPS
    X_1PPS_PARITY   : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    ACLK            : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=ACLK
    ACNV            : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=ACNV
    AIN             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=AIN
    BNC0_DIFF       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC0_DIFF[31..0]
    BNC1_DIFF       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC1_DIFF[31..0]
    BNC2_DIFF       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC2_DIFF[31..0]
    BNC3_DIFF       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC3_DIFF[31..0]
    BNC4_FREQ       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC4_FREQ[31..0]
    BNC5_FREQ       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC5_FREQ[31..0]
    BNC6_FREQ       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC6_FREQ[31..0]
    BNC7_FREQ       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC7_FREQ[31..0]
    BNC8_FREQ       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC8_FREQ[31..0]
    BNC9_FREQ       : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC9_FREQ[31..0]
    BNC10_FREQ      : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC10_FREQ[31..0]
    BNC11_FREQ      : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC11_FREQ[31..0]
    BNC12_FREQ      : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC12_FREQ[31..0]
    BNC_UP          : Out   STD_LOGIC_VECTOR(12 Downto 0);   -- ObjectKind=Port|PrimaryId=BNC_UP[12..0]
    CFG_CLK         : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_CLK
    CFG_CS          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_CS
    CFG_SI          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_SI
    CFG_SO          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_SO
    CLK             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK
    CNT             : In    STD_LOGIC_VECTOR(25 Downto 0);   -- ObjectKind=Port|PrimaryId=CNT[25..0]
    FAIL            : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=FAIL
    J_LED           : Out   STD_LOGIC_VECTOR(3 Downto 0);    -- ObjectKind=Port|PrimaryId=J_LED[3..0]
    JTAG_NEXUS_TCK  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TCK
    JTAG_NEXUS_TDI  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDI
    JTAG_NEXUS_TDO  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDO
    JTAG_NEXUS_TMS  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TMS
    JTAG_NEXUS_TRST : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TRST
    LED             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LED
    OUT_1PPS        : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=OUT_1PPS
    OUT_1PPS_9      : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=OUT_1PPS_9
    OUT_1PPS_10     : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=OUT_1PPS_10
    OUT_1PPS_11     : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=OUT_1PPS_11
    P3OUT           : Out   STD_LOGIC_VECTOR(3 Downto 0);    -- ObjectKind=Port|PrimaryId=P3OUT[3..0]
    S               : In    STD_LOGIC_VECTOR(1 To 64);       -- ObjectKind=Port|PrimaryId=S[1..64]
    START           : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=START
    SW              : In    STD_LOGIC_VECTOR(10 Downto 1);   -- ObjectKind=Port|PrimaryId=SW[10..1]
    VCXO_CTRL       : Out   STD_LOGIC_VECTOR(15 Downto 0)    -- ObjectKind=Port|PrimaryId=VCXO_CTRL[15..0]
  );
  attribute MacroCell : boolean;

End FPGARFCounterComparator3;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGARFCounterComparator3 Is
   Component BUF3S                                           -- ObjectKind=Part|PrimaryId=U117|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-I2
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-O1
        O2 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U117-O2
      );
   End Component;

   Component BUF4S                                           -- ObjectKind=Part|PrimaryId=U118|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-I3
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-O2
        O3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U118-O3
      );
   End Component;

   Component CB8RLES                                         -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-CEO
        D0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D0
        D1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D1
        D2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D2
        D3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D3
        D4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D4
        D5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D5
        D6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D6
        D7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D7
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-L
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q3
        Q4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q4
        Q5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q5
        Q6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q6
        Q7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-Q7
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U116-TC
      );
   End Component;

   Component Configurable_U126                               -- ObjectKind=Part|PrimaryId=U126|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I10
        I11 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I11
        I12 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U126-I12
        O   : out STD_LOGIC_VECTOR(12 Downto 0)              -- ObjectKind=Pin|PrimaryId=U126-O[12..0]
      );
   End Component;

   Component Configurable_U_COMPARATOR                       -- ObjectKind=Part|PrimaryId=U_COMPARATOR|SecondaryId=1
      port
      (
        COMP_1      : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_1[31..0]
        COMP_1_SIGN : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_1_SIGN
        COMP_2      : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_2[31..0]
        COMP_2_SIGN : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_2_SIGN
        COMP_3      : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_3[31..0]
        COMP_3_SIGN : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_3_SIGN
        COMP_4      : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_4[31..0]
        COMP_4_SIGN : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_4_SIGN
        TCK         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TCK
        TDI         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TDI
        TDO         : out STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TDO
        TMS         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TMS
        TRST        : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TRST
        UP          : in  STD_LOGIC_VECTOR(3 Downto 0)       -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-UP[3..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_COUNT                  -- ObjectKind=Part|PrimaryId=U_FREQUENCY_COUNT|SecondaryId=1
      port
      (
        FREQ_9  : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_9[31..0]
        FREQ_10 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_10[31..0]
        FREQ_11 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_11[31..0]
        FREQ_12 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_12[31..0]
        FREQ_13 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_13[31..0]
        FREQ_14 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_14[31..0]
        FREQ_15 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_15[31..0]
        FREQ_16 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_16[31..0]
        FREQ_17 : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_17[31..0]
        TCK     : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TCK
        TDI     : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TDI
        TDO     : out STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TDO
        TMS     : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TMS
        TRST    : in  STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TRST
        UP      : in  STD_LOGIC_VECTOR(12 Downto 4)          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-UP[12..4]
      );
   End Component;

   Component Configurable_U_GENERATE_OFFSET_1PPS             -- ObjectKind=Part|PrimaryId=U_GENERATE_OFFSET_1PPS|SecondaryId=1
      port
      (
        BASELINE_DELAY_9        : out STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-BASELINE_DELAY_9[25..0]
        BASELINE_DELAY_10       : out STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-BASELINE_DELAY_10[25..0]
        BASELINE_DELAY_11       : out STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-BASELINE_DELAY_11[25..0]
        GENERATE_1PPS_OFFSET_9  : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-GENERATE_1PPS_OFFSET_9
        GENERATE_1PPS_OFFSET_10 : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-GENERATE_1PPS_OFFSET_10
        GENERATE_1PPS_OFFSET_11 : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-GENERATE_1PPS_OFFSET_11
        SUBSECOND_DIFF_9        : out STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_9[25..0]
        SUBSECOND_DIFF_10       : out STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_10[25..0]
        SUBSECOND_DIFF_11       : out STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_11[25..0]
        SUBSECOND_DIFF_SIGN_9   : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_SIGN_9
        SUBSECOND_DIFF_SIGN_10  : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_SIGN_10
        SUBSECOND_DIFF_SIGN_11  : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_SIGN_11
        TCK                     : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TCK
        TDI                     : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TDI
        TDO                     : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TDO
        TMS                     : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TMS
        TRST                    : in  STD_LOGIC              -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TRST
      );
   End Component;

   Component FakeClock                                       -- ObjectKind=Sheet Symbol|PrimaryId=U_FAKE_CLOCK_9
      port
      (
        CLK        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-CLK
        DELAY_PPS  : out STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DELAY_PPS
        DIFF       : in  STD_LOGIC_VECTOR(31 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DIFF[31..0]
        PPS        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-PPS
        RST        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-RST
        SIGN       : out STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-SIGN
        TIME_OUT   : out STD_LOGIC_VECTOR(31 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_OUT[31..0]
        TIME_START : in  STD_LOGIC_VECTOR(31 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_START[31..0]
        VIEW_DELAY : out STD_LOGIC_VECTOR(31 Downto 0)       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-VIEW_DELAY[31..0]
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U113|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U113-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U113-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U113-Q
      );
   End Component;

   Component FDC                                             -- ObjectKind=Part|PrimaryId=U112|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U112-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U112-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U112-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U112-Q
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U115-Q
      );
   End Component;

   Component FJKCN                                           -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-K
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-Q
        QN  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U114-QN
      );
   End Component;

   Component FPGARFCounterComparator4                        -- ObjectKind=Sheet Symbol|PrimaryId=U_1PPS_Comparator
      port
      (
        X_1PPP_PARITY   : in  STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-1PPP_PARITY
        X_1PPS          : in  STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-1PPS
        BNC0_DIFF       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC0_DIFF[31..0]
        BNC1_DIFF       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC1_DIFF[31..0]
        BNC2_DIFF       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC2_DIFF[31..0]
        BNC3_DIFF       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC3_DIFF[31..0]
        BNC4_FREQ       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC4_FREQ[31..0]
        BNC5_FREQ       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC5_FREQ[31..0]
        BNC6_FREQ       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC6_FREQ[31..0]
        BNC7_FREQ       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC7_FREQ[31..0]
        BNC8_FREQ       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC8_FREQ[31..0]
        BNC9_FREQ       : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC9_FREQ[31..0]
        BNC10_FREQ      : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC10_FREQ[31..0]
        BNC11_FREQ      : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC11_FREQ[31..0]
        BNC12_FREQ      : out STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC12_FREQ[31..0]
        BNC_IN          : in  STD_LOGIC_VECTOR(12 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC_IN[12..0]
        BNC_UP          : out STD_LOGIC_VECTOR(12 Downto 4); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC_UP[12..4]
        CLK             : in  STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-CLK
        CNT             : in  STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-CNT[25..0]
        JTAG_NEXUS_TCK  : in  STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TCK
        JTAG_NEXUS_TDI  : in  STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TDI
        JTAG_NEXUS_TDO  : out STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TDO
        JTAG_NEXUS_TMS  : in  STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TMS
        JTAG_NEXUS_TRST : in  STD_LOGIC                      -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TRST
      );
   End Component;

   Component FPGARFCounterComparator5                        -- ObjectKind=Sheet Symbol|PrimaryId=U_UP
      port
      (
        X_1PPP_PARITY : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-1PPP_PARITY
        X_1PPS        : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-1PPS
        BNC_IN        : in  STD_LOGIC_VECTOR(12 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-BNC_IN[12..0]
        BNC_UP        : out STD_LOGIC_VECTOR(3 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-BNC_UP[3..0]
        CLK           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-CLK
        J_LED         : out STD_LOGIC_VECTOR(3 Downto 0)     -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-J_LED[3..0]
      );
   End Component;

   Component M1_S2S1                                         -- ObjectKind=Part|PrimaryId=U1111|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U1111-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U1111-D1
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U1111-O
        S0 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U1111-S0
      );
   End Component;

   Component SR16REB                                         -- ObjectKind=Part|PrimaryId=U120|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U120-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U120-CE
        Q   : out STD_LOGIC_VECTOR(15 Downto 0);             -- ObjectKind=Pin|PrimaryId=U120-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U120-R
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U120-SLI
      );
   End Component;

   Component SubtractDelay                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_SUBTRACT_DELAY_9
      port
      (
        BASELINE_DELAY : in  STD_LOGIC_VECTOR(25 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-BASELINE_DELAY[25..0]
        CLK            : in  STD_LOGIC;                      -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-CLK
        DIFF           : out STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-DIFF[31..0]
        INPUT_DIFF     : in  STD_LOGIC_VECTOR(25 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-INPUT_DIFF[25..0]
        SIGN           : in  STD_LOGIC                       -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-SIGN
      );
   End Component;

   Component WriteMagSign                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_1PPS_Comparator1
      port
      (
        BNC0_DIFF      : in  STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC0_DIFF[31..0]
        BNC0_DIFF_MAG  : out STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC0_DIFF_MAG[31..0]
        BNC0_DIFF_SIGN : out STD_LOGIC;                      -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC0_DIFF_SIGN
        BNC1_DIFF      : in  STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC1_DIFF[31..0]
        BNC1_DIFF_MAG  : out STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC1_DIFF_MAG[31..0]
        BNC1_DIFF_SIGN : out STD_LOGIC;                      -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC1_DIFF_SIGN
        BNC2_DIFF      : in  STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC2_DIFF[31..0]
        BNC2_DIFF_MAG  : out STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC2_DIFF_MAG[31..0]
        BNC2_DIFF_SIGN : out STD_LOGIC;                      -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC2_DIFF_SIGN
        BNC3_DIFF      : in  STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC3_DIFF[31..0]
        BNC3_DIFF_MAG  : out STD_LOGIC_VECTOR(31 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC3_DIFF_MAG[31..0]
        BNC3_DIFF_SIGN : out STD_LOGIC;                      -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC3_DIFF_SIGN
        CLK            : in  STD_LOGIC                       -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-CLK
      );
   End Component;


    Signal NamedSignal_1PPS                                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_1PPS_PARITY                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    Signal NamedSignal_ACLK                                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal NamedSignal_BNC_IN                                       : STD_LOGIC_VECTOR(12 Downto 0); -- ObjectKind=Net|PrimaryId=BNC_IN[12..0]
    Signal NamedSignal_BNC_UP                                       : STD_LOGIC_VECTOR(12 Downto 0); -- ObjectKind=Net|PrimaryId=BNC_UP[3..0]
    Signal NamedSignal_BNC0_DIFF                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    Signal NamedSignal_BNC0_DIFF_MAG                                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC0_DIFF_MAG[31..0]
    Signal NamedSignal_BNC0_DIFF_SIGN                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC0_DIFF_SIGN
    Signal NamedSignal_BNC1_DIFF                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    Signal NamedSignal_BNC1_DIFF_MAG                                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC1_DIFF_MAG[31..0]
    Signal NamedSignal_BNC1_DIFF_SIGN                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC1_DIFF_SIGN
    Signal NamedSignal_BNC10_FREQ                                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    Signal NamedSignal_BNC11_FREQ                                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    Signal NamedSignal_BNC12_FREQ                                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    Signal NamedSignal_BNC2_DIFF                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    Signal NamedSignal_BNC2_DIFF_MAG                                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC2_DIFF_MAG[31..0]
    Signal NamedSignal_BNC2_DIFF_SIGN                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC2_DIFF_SIGN
    Signal NamedSignal_BNC3_DIFF                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]
    Signal NamedSignal_BNC3_DIFF_MAG                                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC3_DIFF_MAG[31..0]
    Signal NamedSignal_BNC3_DIFF_SIGN                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC3_DIFF_SIGN
    Signal NamedSignal_BNC4_FREQ                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    Signal NamedSignal_BNC5_FREQ                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    Signal NamedSignal_BNC6_FREQ                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    Signal NamedSignal_BNC7_FREQ                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    Signal NamedSignal_BNC8_FREQ                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    Signal NamedSignal_BNC9_FREQ                                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    Signal NamedSignal_CFG_CLK                                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CLK
    Signal NamedSignal_CFG_CS                                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CS
    Signal NamedSignal_CFG_SO                                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SO
    Signal NamedSignal_CLK                                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT                                          : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_DIFF10                                       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DIFF10[31..0]
    Signal NamedSignal_DIFF11                                       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DIFF11[31..0]
    Signal NamedSignal_DIFF9                                        : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DIFF9[31..0]
    Signal NamedSignal_GND1_BUS                                     : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    Signal NamedSignal_GND2_BUS                                     : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    Signal NamedSignal_GND3_BUS                                     : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GND3_BUS[31..0]
    Signal NamedSignal_HIJACK10                                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HIJACK10
    Signal NamedSignal_HIJACK11                                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HIJACK11
    Signal NamedSignal_HIJACK9                                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HIJACK9
    Signal NamedSignal_LED                                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LED
    Signal NamedSignal_OUT_1PPS                                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_1PPS
    Signal NamedSignal_OUT_1PPS_10                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_1PPS_10
    Signal NamedSignal_OUT_1PPS_11                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_1PPS_11
    Signal NamedSignal_OUT_1PPS_9                                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_1PPS_9
    Signal NamedSignal_P3OUT                                        : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=P3OUT[3..0]
    Signal NamedSignal_S                                            : STD_LOGIC_VECTOR(1 To 64); -- ObjectKind=Net|PrimaryId=S[1..64]
    Signal PinSignal_U_1PPS_Comparator_BNC_UP                       : STD_LOGIC_VECTOR(12 Downto 4); -- ObjectKind=Net|PrimaryId=BNC_UP[12..4]
    Signal PinSignal_U_1PPS_Comparator_BNC0_DIFF                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC1_DIFF                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC10_FREQ                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC11_FREQ                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC12_FREQ                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC2_DIFF                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC3_DIFF                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC4_FREQ                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC5_FREQ                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC6_FREQ                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC7_FREQ                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC8_FREQ                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_BNC9_FREQ                    : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    Signal PinSignal_U_1PPS_Comparator_JTAG_NEXUS_TDO               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TDO
    Signal PinSignal_U_1PPS_Comparator1_BNC0_DIFF_MAG               : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC0_DIFF_MAG[31..0]
    Signal PinSignal_U_1PPS_Comparator1_BNC0_DIFF_SIGN              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC0_DIFF_SIGN
    Signal PinSignal_U_1PPS_Comparator1_BNC1_DIFF_MAG               : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC1_DIFF_MAG[31..0]
    Signal PinSignal_U_1PPS_Comparator1_BNC1_DIFF_SIGN              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC1_DIFF_SIGN
    Signal PinSignal_U_1PPS_Comparator1_BNC2_DIFF_MAG               : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC2_DIFF_MAG[31..0]
    Signal PinSignal_U_1PPS_Comparator1_BNC2_DIFF_SIGN              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC2_DIFF_SIGN
    Signal PinSignal_U_1PPS_Comparator1_BNC3_DIFF_MAG               : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC3_DIFF_MAG[31..0]
    Signal PinSignal_U_1PPS_Comparator1_BNC3_DIFF_SIGN              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC3_DIFF_SIGN
    Signal PinSignal_U_COMPARATOR_TDO                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_LINK0
    Signal PinSignal_U_FAKE_CLOCK_10_DELAY_PPS                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1112_D1
    Signal PinSignal_U_FAKE_CLOCK_11_DELAY_PPS                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1113_D1
    Signal PinSignal_U_FAKE_CLOCK_9_DELAY_PPS                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1111_D1
    Signal PinSignal_U_FREQUENCY_COUNT_TDO                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_LINK1
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_10       : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_BASELINE_DELAY_10[25..0]
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_11       : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_BASELINE_DELAY_11[25..0]
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_9        : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_BASELINE_DELAY_9[25..0]
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_10 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HIJACK10
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_11 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HIJACK11
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_9  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HIJACK9
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_10       : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_10[25..0]
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_11       : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_11[25..0]
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_9        : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_9[25..0]
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_10  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_10
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_11  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_11
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_9   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_9
    Signal PinSignal_U_GENERATE_OFFSET_1PPS_TDO                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_LINK2
    Signal PinSignal_U_SUBTRACT_DELAY_10_DIFF                       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DIFF10[31..0]
    Signal PinSignal_U_SUBTRACT_DELAY_11_DIFF                       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DIFF11[31..0]
    Signal PinSignal_U_SUBTRACT_DELAY_9_DIFF                        : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DIFF9[31..0]
    Signal PinSignal_U_UP_BNC_UP                                    : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=BNC_UP[3..0]
    Signal PinSignal_U_UP_J_LED                                     : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=J_LED[3..0]
    Signal PinSignal_U1111_O                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_1PPS_9
    Signal PinSignal_U1112_O                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_1PPS_10
    Signal PinSignal_U1113_O                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_1PPS_11
    Signal PinSignal_U112_Q                                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU112_Q
    Signal PinSignal_U113_Q                                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU113_Q
    Signal PinSignal_U114_Q                                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACNV
    Signal PinSignal_U114_QN                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU114_QN
    Signal PinSignal_U115_Q                                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal PinSignal_U116_Q5                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU115_J
    Signal PinSignal_U116_TC                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU114_K
    Signal PinSignal_U117_O0                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CLK
    Signal PinSignal_U117_O1                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CS
    Signal PinSignal_U117_O2                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SO
    Signal PinSignal_U118_O0                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=P3OUT0
    Signal PinSignal_U118_O1                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=P3OUT1
    Signal PinSignal_U118_O2                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=P3OUT2
    Signal PinSignal_U118_O3                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=P3OUT3
    Signal PinSignal_U120_Q                                         : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]
    Signal PinSignal_U126_O                                         : STD_LOGIC_VECTOR(12 Downto 0); -- ObjectKind=Net|PrimaryId=BNC_IN[12..0]
    Signal PowerSignal_GND                                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_UP : FPGARFCounterComparator5                          -- ObjectKind=Sheet Symbol|PrimaryId=U_UP
      Port Map
      (
        X_1PPP_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-1PPP_PARITY
        X_1PPS        => NamedSignal_1PPS,                   -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-1PPS
        BNC_IN        => NamedSignal_BNC_IN,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-BNC_IN[12..0]
        BNC_UP        => PinSignal_U_UP_BNC_UP,              -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-BNC_UP[3..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-CLK
        J_LED         => PinSignal_U_UP_J_LED                -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator5.SchDoc-J_LED[3..0]
      );

    U_SUBTRACT_DELAY_11 : SubtractDelay                      -- ObjectKind=Sheet Symbol|PrimaryId=U_SUBTRACT_DELAY_11
      Port Map
      (
        BASELINE_DELAY => PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_11, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-BASELINE_DELAY[25..0]
        CLK            => NamedSignal_CLK,                   -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-CLK
        DIFF           => PinSignal_U_SUBTRACT_DELAY_11_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-DIFF[31..0]
        INPUT_DIFF     => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_11, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-INPUT_DIFF[25..0]
        SIGN           => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_11 -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-SIGN
      );

    U_SUBTRACT_DELAY_10 : SubtractDelay                      -- ObjectKind=Sheet Symbol|PrimaryId=U_SUBTRACT_DELAY_10
      Port Map
      (
        BASELINE_DELAY => PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_10, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-BASELINE_DELAY[25..0]
        CLK            => NamedSignal_CLK,                   -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-CLK
        DIFF           => PinSignal_U_SUBTRACT_DELAY_10_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-DIFF[31..0]
        INPUT_DIFF     => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_10, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-INPUT_DIFF[25..0]
        SIGN           => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_10 -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-SIGN
      );

    U_SUBTRACT_DELAY_9 : SubtractDelay                       -- ObjectKind=Sheet Symbol|PrimaryId=U_SUBTRACT_DELAY_9
      Port Map
      (
        BASELINE_DELAY => PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_9, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-BASELINE_DELAY[25..0]
        CLK            => NamedSignal_CLK,                   -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-CLK
        DIFF           => PinSignal_U_SUBTRACT_DELAY_9_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-DIFF[31..0]
        INPUT_DIFF     => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_9, -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-INPUT_DIFF[25..0]
        SIGN           => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_9 -- ObjectKind=Sheet Entry|PrimaryId=SubtractDelay.Vhd-SIGN
      );

    U_FAKE_CLOCK_11 : FakeClock                              -- ObjectKind=Sheet Symbol|PrimaryId=U_FAKE_CLOCK_11
      Port Map
      (
        CLK        => NamedSignal_CLK,                       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-CLK
        DELAY_PPS  => PinSignal_U_FAKE_CLOCK_11_DELAY_PPS,   -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DELAY_PPS
        DIFF       => NamedSignal_DIFF11,                    -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DIFF[31..0]
        PPS        => NamedSignal_OUT_1PPS,                  -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-PPS
        RST        => PowerSignal_GND,                       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-RST
        TIME_START => NamedSignal_GND3_BUS                   -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_START[31..0]
      );

    U_FAKE_CLOCK_10 : FakeClock                              -- ObjectKind=Sheet Symbol|PrimaryId=U_FAKE_CLOCK_10
      Port Map
      (
        CLK        => NamedSignal_CLK,                       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-CLK
        DELAY_PPS  => PinSignal_U_FAKE_CLOCK_10_DELAY_PPS,   -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DELAY_PPS
        DIFF       => NamedSignal_DIFF10,                    -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DIFF[31..0]
        PPS        => NamedSignal_OUT_1PPS,                  -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-PPS
        RST        => PowerSignal_GND,                       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-RST
        TIME_START => NamedSignal_GND1_BUS                   -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_START[31..0]
      );

    U_FAKE_CLOCK_9 : FakeClock                               -- ObjectKind=Sheet Symbol|PrimaryId=U_FAKE_CLOCK_9
      Port Map
      (
        CLK        => NamedSignal_CLK,                       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-CLK
        DELAY_PPS  => PinSignal_U_FAKE_CLOCK_9_DELAY_PPS,    -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DELAY_PPS
        DIFF       => NamedSignal_DIFF9,                     -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DIFF[31..0]
        PPS        => NamedSignal_OUT_1PPS,                  -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-PPS
        RST        => PowerSignal_GND,                       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-RST
        TIME_START => NamedSignal_GND2_BUS                   -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_START[31..0]
      );

    U_1PPS_Comparator1 : WriteMagSign                        -- ObjectKind=Sheet Symbol|PrimaryId=U_1PPS_Comparator1
      Port Map
      (
        BNC0_DIFF      => NamedSignal_BNC1_DIFF,             -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC0_DIFF[31..0]
        BNC0_DIFF_MAG  => PinSignal_U_1PPS_Comparator1_BNC0_DIFF_MAG, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC0_DIFF_MAG[31..0]
        BNC0_DIFF_SIGN => PinSignal_U_1PPS_Comparator1_BNC0_DIFF_SIGN, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC0_DIFF_SIGN
        BNC1_DIFF      => NamedSignal_BNC0_DIFF,             -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC1_DIFF[31..0]
        BNC1_DIFF_MAG  => PinSignal_U_1PPS_Comparator1_BNC1_DIFF_MAG, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC1_DIFF_MAG[31..0]
        BNC1_DIFF_SIGN => PinSignal_U_1PPS_Comparator1_BNC1_DIFF_SIGN, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC1_DIFF_SIGN
        BNC2_DIFF      => NamedSignal_BNC2_DIFF,             -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC2_DIFF[31..0]
        BNC2_DIFF_MAG  => PinSignal_U_1PPS_Comparator1_BNC2_DIFF_MAG, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC2_DIFF_MAG[31..0]
        BNC2_DIFF_SIGN => PinSignal_U_1PPS_Comparator1_BNC2_DIFF_SIGN, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC2_DIFF_SIGN
        BNC3_DIFF      => NamedSignal_BNC3_DIFF,             -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC3_DIFF[31..0]
        BNC3_DIFF_MAG  => PinSignal_U_1PPS_Comparator1_BNC3_DIFF_MAG, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC3_DIFF_MAG[31..0]
        BNC3_DIFF_SIGN => PinSignal_U_1PPS_Comparator1_BNC3_DIFF_SIGN, -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-BNC3_DIFF_SIGN
        CLK            => NamedSignal_CLK                    -- ObjectKind=Sheet Entry|PrimaryId=WriteMagSign.Vhd-CLK
      );

    U_1PPS_Comparator : FPGARFCounterComparator4             -- ObjectKind=Sheet Symbol|PrimaryId=U_1PPS_Comparator
      Port Map
      (
        X_1PPP_PARITY   => X_1PPS_PARITY,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-1PPP_PARITY
        X_1PPS          => NamedSignal_1PPS,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-1PPS
        BNC0_DIFF       => PinSignal_U_1PPS_Comparator_BNC0_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC0_DIFF[31..0]
        BNC1_DIFF       => PinSignal_U_1PPS_Comparator_BNC1_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC1_DIFF[31..0]
        BNC2_DIFF       => PinSignal_U_1PPS_Comparator_BNC2_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC2_DIFF[31..0]
        BNC3_DIFF       => PinSignal_U_1PPS_Comparator_BNC3_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC3_DIFF[31..0]
        BNC4_FREQ       => PinSignal_U_1PPS_Comparator_BNC4_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC4_FREQ[31..0]
        BNC5_FREQ       => PinSignal_U_1PPS_Comparator_BNC5_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC5_FREQ[31..0]
        BNC6_FREQ       => PinSignal_U_1PPS_Comparator_BNC6_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC6_FREQ[31..0]
        BNC7_FREQ       => PinSignal_U_1PPS_Comparator_BNC7_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC7_FREQ[31..0]
        BNC8_FREQ       => PinSignal_U_1PPS_Comparator_BNC8_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC8_FREQ[31..0]
        BNC9_FREQ       => PinSignal_U_1PPS_Comparator_BNC9_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC9_FREQ[31..0]
        BNC10_FREQ      => PinSignal_U_1PPS_Comparator_BNC10_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC10_FREQ[31..0]
        BNC11_FREQ      => PinSignal_U_1PPS_Comparator_BNC11_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC11_FREQ[31..0]
        BNC12_FREQ      => PinSignal_U_1PPS_Comparator_BNC12_FREQ, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC12_FREQ[31..0]
        BNC_IN          => NamedSignal_BNC_IN,               -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC_IN[12..0]
        BNC_UP          => PinSignal_U_1PPS_Comparator_BNC_UP, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-BNC_UP[12..4]
        CLK             => NamedSignal_CLK,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-CLK
        CNT             => NamedSignal_CNT,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-CNT[25..0]
        JTAG_NEXUS_TCK  => JTAG_NEXUS_TCK,                   -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TCK
        JTAG_NEXUS_TDI  => PinSignal_U_GENERATE_OFFSET_1PPS_TDO, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TDI
        JTAG_NEXUS_TDO  => PinSignal_U_1PPS_Comparator_JTAG_NEXUS_TDO, -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TDO
        JTAG_NEXUS_TMS  => JTAG_NEXUS_TMS,                   -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TMS
        JTAG_NEXUS_TRST => JTAG_NEXUS_TRST                   -- ObjectKind=Sheet Entry|PrimaryId=FPGARFCounterComparator4.SchDoc-JTAG_NEXUS_TRST
      );

    U_GENERATE_OFFSET_1PPS : Configurable_U_GENERATE_OFFSET_1PPS -- ObjectKind=Part|PrimaryId=U_GENERATE_OFFSET_1PPS|SecondaryId=1
      Port Map
      (
        BASELINE_DELAY_9        => PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_9, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-BASELINE_DELAY_9[25..0]
        BASELINE_DELAY_10       => PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_10, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-BASELINE_DELAY_10[25..0]
        BASELINE_DELAY_11       => PinSignal_U_GENERATE_OFFSET_1PPS_BASELINE_DELAY_11, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-BASELINE_DELAY_11[25..0]
        GENERATE_1PPS_OFFSET_9  => PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_9, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-GENERATE_1PPS_OFFSET_9
        GENERATE_1PPS_OFFSET_10 => PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_10, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-GENERATE_1PPS_OFFSET_10
        GENERATE_1PPS_OFFSET_11 => PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_11, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-GENERATE_1PPS_OFFSET_11
        SUBSECOND_DIFF_9        => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_9, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_9[25..0]
        SUBSECOND_DIFF_10       => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_10, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_10[25..0]
        SUBSECOND_DIFF_11       => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_11, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_11[25..0]
        SUBSECOND_DIFF_SIGN_9   => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_9, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_SIGN_9
        SUBSECOND_DIFF_SIGN_10  => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_10, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_SIGN_10
        SUBSECOND_DIFF_SIGN_11  => PinSignal_U_GENERATE_OFFSET_1PPS_SUBSECOND_DIFF_SIGN_11, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-SUBSECOND_DIFF_SIGN_11
        TCK                     => JTAG_NEXUS_TCK,           -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TCK
        TDI                     => PinSignal_U_FREQUENCY_COUNT_TDO, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TDI
        TDO                     => PinSignal_U_GENERATE_OFFSET_1PPS_TDO, -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TDO
        TMS                     => JTAG_NEXUS_TMS,           -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TMS
        TRST                    => JTAG_NEXUS_TRST           -- ObjectKind=Pin|PrimaryId=U_GENERATE_OFFSET_1PPS-TRST
      );

    U_FREQUENCY_COUNT : Configurable_U_FREQUENCY_COUNT       -- ObjectKind=Part|PrimaryId=U_FREQUENCY_COUNT|SecondaryId=1
      Port Map
      (
        FREQ_9  => NamedSignal_BNC4_FREQ,                    -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_9[31..0]
        FREQ_10 => NamedSignal_BNC5_FREQ,                    -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_10[31..0]
        FREQ_11 => NamedSignal_BNC6_FREQ,                    -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_11[31..0]
        FREQ_12 => NamedSignal_BNC7_FREQ,                    -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_12[31..0]
        FREQ_13 => NamedSignal_BNC8_FREQ,                    -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_13[31..0]
        FREQ_14 => NamedSignal_BNC9_FREQ,                    -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_14[31..0]
        FREQ_15 => NamedSignal_BNC10_FREQ,                   -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_15[31..0]
        FREQ_16 => NamedSignal_BNC11_FREQ,                   -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_16[31..0]
        FREQ_17 => NamedSignal_BNC12_FREQ,                   -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-FREQ_17[31..0]
        TCK     => JTAG_NEXUS_TCK,                           -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TCK
        TDI     => PinSignal_U_COMPARATOR_TDO,               -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TDI
        TDO     => PinSignal_U_FREQUENCY_COUNT_TDO,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TDO
        TMS     => JTAG_NEXUS_TMS,                           -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TMS
        TRST    => JTAG_NEXUS_TRST,                          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-TRST
        UP      => NamedSignal_BNC_UP(12 Downto 4)           -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_COUNT-UP[12..4]
      );

    U_COMPARATOR : Configurable_U_COMPARATOR                 -- ObjectKind=Part|PrimaryId=U_COMPARATOR|SecondaryId=1
      Port Map
      (
        COMP_1      => NamedSignal_BNC1_DIFF_MAG,            -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_1[31..0]
        COMP_1_SIGN => NamedSignal_BNC1_DIFF_SIGN,           -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_1_SIGN
        COMP_2      => NamedSignal_BNC0_DIFF_MAG,            -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_2[31..0]
        COMP_2_SIGN => NamedSignal_BNC0_DIFF_SIGN,           -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_2_SIGN
        COMP_3      => NamedSignal_BNC2_DIFF_MAG,            -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_3[31..0]
        COMP_3_SIGN => NamedSignal_BNC2_DIFF_SIGN,           -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_3_SIGN
        COMP_4      => NamedSignal_BNC3_DIFF_MAG,            -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_4[31..0]
        COMP_4_SIGN => NamedSignal_BNC3_DIFF_SIGN,           -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-COMP_4_SIGN
        TCK         => JTAG_NEXUS_TCK,                       -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TCK
        TDI         => JTAG_NEXUS_TDI,                       -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TDI
        TDO         => PinSignal_U_COMPARATOR_TDO,           -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TDO
        TMS         => JTAG_NEXUS_TMS,                       -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TMS
        TRST        => JTAG_NEXUS_TRST,                      -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-TRST
        UP          => NamedSignal_BNC_UP(3 Downto 0)        -- ObjectKind=Pin|PrimaryId=U_COMPARATOR-UP[3..0]
      );

    U1113 : M1_S2S1                                          -- ObjectKind=Part|PrimaryId=U1113|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_OUT_1PPS,                          -- ObjectKind=Pin|PrimaryId=U1113-D0
        D1 => PinSignal_U_FAKE_CLOCK_11_DELAY_PPS,           -- ObjectKind=Pin|PrimaryId=U1113-D1
        O  => PinSignal_U1113_O,                             -- ObjectKind=Pin|PrimaryId=U1113-O
        S0 => NamedSignal_HIJACK11                           -- ObjectKind=Pin|PrimaryId=U1113-S0
      );

    U1112 : M1_S2S1                                          -- ObjectKind=Part|PrimaryId=U1112|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_OUT_1PPS,                          -- ObjectKind=Pin|PrimaryId=U1112-D0
        D1 => PinSignal_U_FAKE_CLOCK_10_DELAY_PPS,           -- ObjectKind=Pin|PrimaryId=U1112-D1
        O  => PinSignal_U1112_O,                             -- ObjectKind=Pin|PrimaryId=U1112-O
        S0 => NamedSignal_HIJACK10                           -- ObjectKind=Pin|PrimaryId=U1112-S0
      );

    U1111 : M1_S2S1                                          -- ObjectKind=Part|PrimaryId=U1111|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_OUT_1PPS,                          -- ObjectKind=Pin|PrimaryId=U1111-D0
        D1 => PinSignal_U_FAKE_CLOCK_9_DELAY_PPS,            -- ObjectKind=Pin|PrimaryId=U1111-D1
        O  => PinSignal_U1111_O,                             -- ObjectKind=Pin|PrimaryId=U1111-O
        S0 => NamedSignal_HIJACK9                            -- ObjectKind=Pin|PrimaryId=U1111-S0
      );

    U126 : Configurable_U126                                 -- ObjectKind=Part|PrimaryId=U126|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_S(55),                            -- ObjectKind=Pin|PrimaryId=U126-I0
        I1  => NamedSignal_S(54),                            -- ObjectKind=Pin|PrimaryId=U126-I1
        I2  => NamedSignal_S(53),                            -- ObjectKind=Pin|PrimaryId=U126-I2
        I3  => NamedSignal_S(52),                            -- ObjectKind=Pin|PrimaryId=U126-I3
        I4  => NamedSignal_S(51),                            -- ObjectKind=Pin|PrimaryId=U126-I4
        I5  => NamedSignal_S(33),                            -- ObjectKind=Pin|PrimaryId=U126-I5
        I6  => NamedSignal_S(49),                            -- ObjectKind=Pin|PrimaryId=U126-I6
        I7  => NamedSignal_S(48),                            -- ObjectKind=Pin|PrimaryId=U126-I7
        I8  => NamedSignal_S(61),                            -- ObjectKind=Pin|PrimaryId=U126-I8
        I9  => NamedSignal_S(60),                            -- ObjectKind=Pin|PrimaryId=U126-I9
        I10 => NamedSignal_S(59),                            -- ObjectKind=Pin|PrimaryId=U126-I10
        I11 => NamedSignal_S(58),                            -- ObjectKind=Pin|PrimaryId=U126-I11
        I12 => NamedSignal_S(57),                            -- ObjectKind=Pin|PrimaryId=U126-I12
        O   => PinSignal_U126_O                              -- ObjectKind=Pin|PrimaryId=U126-O[12..0]
      );

    U120 : SR16REB                                           -- ObjectKind=Part|PrimaryId=U120|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_ACLK,                             -- ObjectKind=Pin|PrimaryId=U120-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U120-CE
        Q   => PinSignal_U120_Q,                             -- ObjectKind=Pin|PrimaryId=U120-Q[15..0]
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U120-R
        SLI => AIN                                           -- ObjectKind=Pin|PrimaryId=U120-SLI
      );

    U118 : BUF4S                                             -- ObjectKind=Part|PrimaryId=U118|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LED,                               -- ObjectKind=Pin|PrimaryId=U118-I0
        I1 => NamedSignal_LED,                               -- ObjectKind=Pin|PrimaryId=U118-I1
        I2 => NamedSignal_LED,                               -- ObjectKind=Pin|PrimaryId=U118-I2
        I3 => NamedSignal_LED,                               -- ObjectKind=Pin|PrimaryId=U118-I3
        O0 => PinSignal_U118_O0,                             -- ObjectKind=Pin|PrimaryId=U118-O0
        O1 => PinSignal_U118_O1,                             -- ObjectKind=Pin|PrimaryId=U118-O1
        O2 => PinSignal_U118_O2,                             -- ObjectKind=Pin|PrimaryId=U118-O2
        O3 => PinSignal_U118_O3                              -- ObjectKind=Pin|PrimaryId=U118-O3
      );

    U117 : BUF3S                                             -- ObjectKind=Part|PrimaryId=U117|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LED,                               -- ObjectKind=Pin|PrimaryId=U117-I0
        I1 => NamedSignal_LED,                               -- ObjectKind=Pin|PrimaryId=U117-I1
        I2 => NamedSignal_LED,                               -- ObjectKind=Pin|PrimaryId=U117-I2
        O0 => PinSignal_U117_O0,                             -- ObjectKind=Pin|PrimaryId=U117-O0
        O1 => PinSignal_U117_O1,                             -- ObjectKind=Pin|PrimaryId=U117-O1
        O2 => PinSignal_U117_O2                              -- ObjectKind=Pin|PrimaryId=U117-O2
      );

    U116 : CB8RLES                                           -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CNT(5),                            -- ObjectKind=Pin|PrimaryId=U116-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U116-CE
        D0 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U116-D0
        D1 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U116-D1
        D2 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U116-D2
        D3 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U116-D3
        D4 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U116-D4
        D5 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U116-D5
        D6 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U116-D6
        D7 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U116-D7
        L  => PinSignal_U114_QN,                             -- ObjectKind=Pin|PrimaryId=U116-L
        Q5 => PinSignal_U116_Q5,                             -- ObjectKind=Pin|PrimaryId=U116-Q5
        R  => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U116-R
        TC => PinSignal_U116_TC                              -- ObjectKind=Pin|PrimaryId=U116-TC
      );

    U115 : FJKC                                              -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U115-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U115-CLR
        J   => PinSignal_U116_Q5,                            -- ObjectKind=Pin|PrimaryId=U115-J
        K   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U115-K
        Q   => PinSignal_U115_Q                              -- ObjectKind=Pin|PrimaryId=U115-Q
      );

    U114 : FJKCN                                             -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U114-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U114-CLR
        J   => PinSignal_U113_Q,                             -- ObjectKind=Pin|PrimaryId=U114-J
        K   => PinSignal_U116_TC,                            -- ObjectKind=Pin|PrimaryId=U114-K
        Q   => PinSignal_U114_Q,                             -- ObjectKind=Pin|PrimaryId=U114-Q
        QN  => PinSignal_U114_QN                             -- ObjectKind=Pin|PrimaryId=U114-QN
      );

    U113 : FD                                                -- ObjectKind=Part|PrimaryId=U113|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CNT(5),                             -- ObjectKind=Pin|PrimaryId=U113-C
        D => PinSignal_U112_Q,                               -- ObjectKind=Pin|PrimaryId=U113-D
        Q => PinSignal_U113_Q                                -- ObjectKind=Pin|PrimaryId=U113-Q
      );

    U112 : FDC                                               -- ObjectKind=Part|PrimaryId=U112|SecondaryId=1
      Port Map
      (
        C   => START,                                        -- ObjectKind=Pin|PrimaryId=U112-C
        CLR => PinSignal_U114_Q,                             -- ObjectKind=Pin|PrimaryId=U112-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U112-D
        Q   => PinSignal_U112_Q                              -- ObjectKind=Pin|PrimaryId=U112-Q
      );

    -- Signal Assignments
    ---------------------
    ACLK                            <= NamedSignal_ACLK; -- ObjectKind=Net|PrimaryId=ACLK
    ACNV                            <= PinSignal_U114_Q; -- ObjectKind=Net|PrimaryId=ACNV
    BNC_UP                          <= NamedSignal_BNC_UP; -- ObjectKind=Net|PrimaryId=BNC_UP[12..0]
    BNC0_DIFF                       <= PinSignal_U_1PPS_Comparator_BNC0_DIFF; -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    BNC1_DIFF                       <= PinSignal_U_1PPS_Comparator_BNC1_DIFF; -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    BNC10_FREQ                      <= PinSignal_U_1PPS_Comparator_BNC10_FREQ; -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    BNC11_FREQ                      <= PinSignal_U_1PPS_Comparator_BNC11_FREQ; -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    BNC12_FREQ                      <= PinSignal_U_1PPS_Comparator_BNC12_FREQ; -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    BNC2_DIFF                       <= PinSignal_U_1PPS_Comparator_BNC2_DIFF; -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    BNC3_DIFF                       <= PinSignal_U_1PPS_Comparator_BNC3_DIFF; -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]
    BNC4_FREQ                       <= PinSignal_U_1PPS_Comparator_BNC4_FREQ; -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    BNC5_FREQ                       <= PinSignal_U_1PPS_Comparator_BNC5_FREQ; -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    BNC6_FREQ                       <= PinSignal_U_1PPS_Comparator_BNC6_FREQ; -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    BNC7_FREQ                       <= PinSignal_U_1PPS_Comparator_BNC7_FREQ; -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    BNC8_FREQ                       <= PinSignal_U_1PPS_Comparator_BNC8_FREQ; -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    BNC9_FREQ                       <= PinSignal_U_1PPS_Comparator_BNC9_FREQ; -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    CFG_CLK                         <= NamedSignal_CFG_CLK; -- ObjectKind=Net|PrimaryId=CFG_CLK
    CFG_CS                          <= NamedSignal_CFG_CS; -- ObjectKind=Net|PrimaryId=CFG_CS
    CFG_SO                          <= NamedSignal_CFG_SO; -- ObjectKind=Net|PrimaryId=CFG_SO
    FAIL                            <= CFG_SI; -- ObjectKind=Net|PrimaryId=N04194
    J_LED                           <= PinSignal_U_UP_J_LED; -- ObjectKind=Net|PrimaryId=J_LED[3..0]
    JTAG_NEXUS_TDO                  <= PinSignal_U_1PPS_Comparator_JTAG_NEXUS_TDO; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TDO
    NamedSignal_1PPS                <= X_1PPS; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_1PPS_PARITY         <= X_1PPS_PARITY; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    NamedSignal_ACLK                <= PinSignal_U115_Q; -- ObjectKind=Net|PrimaryId=ACLK
    NamedSignal_BNC_IN              <= PinSignal_U126_O; -- ObjectKind=Net|PrimaryId=BNC_IN[12..0]
    NamedSignal_BNC_UP(12 Downto 4) <= PinSignal_U_1PPS_Comparator_BNC_UP; -- ObjectKind=Net|PrimaryId=BNC_UP[12..4]
    NamedSignal_BNC_UP(3 Downto 0)  <= PinSignal_U_UP_BNC_UP; -- ObjectKind=Net|PrimaryId=BNC_UP[3..0]
    NamedSignal_BNC0_DIFF           <= PinSignal_U_1PPS_Comparator_BNC0_DIFF; -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    NamedSignal_BNC0_DIFF_MAG       <= PinSignal_U_1PPS_Comparator1_BNC0_DIFF_MAG; -- ObjectKind=Net|PrimaryId=BNC0_DIFF_MAG[31..0]
    NamedSignal_BNC0_DIFF_SIGN      <= PinSignal_U_1PPS_Comparator1_BNC0_DIFF_SIGN; -- ObjectKind=Net|PrimaryId=BNC0_DIFF_SIGN
    NamedSignal_BNC1_DIFF           <= PinSignal_U_1PPS_Comparator_BNC1_DIFF; -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    NamedSignal_BNC1_DIFF_MAG       <= PinSignal_U_1PPS_Comparator1_BNC1_DIFF_MAG; -- ObjectKind=Net|PrimaryId=BNC1_DIFF_MAG[31..0]
    NamedSignal_BNC1_DIFF_SIGN      <= PinSignal_U_1PPS_Comparator1_BNC1_DIFF_SIGN; -- ObjectKind=Net|PrimaryId=BNC1_DIFF_SIGN
    NamedSignal_BNC10_FREQ          <= PinSignal_U_1PPS_Comparator_BNC10_FREQ; -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    NamedSignal_BNC11_FREQ          <= PinSignal_U_1PPS_Comparator_BNC11_FREQ; -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    NamedSignal_BNC12_FREQ          <= PinSignal_U_1PPS_Comparator_BNC12_FREQ; -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    NamedSignal_BNC2_DIFF           <= PinSignal_U_1PPS_Comparator_BNC2_DIFF; -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    NamedSignal_BNC2_DIFF_MAG       <= PinSignal_U_1PPS_Comparator1_BNC2_DIFF_MAG; -- ObjectKind=Net|PrimaryId=BNC2_DIFF_MAG[31..0]
    NamedSignal_BNC2_DIFF_SIGN      <= PinSignal_U_1PPS_Comparator1_BNC2_DIFF_SIGN; -- ObjectKind=Net|PrimaryId=BNC2_DIFF_SIGN
    NamedSignal_BNC3_DIFF           <= PinSignal_U_1PPS_Comparator_BNC3_DIFF; -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]
    NamedSignal_BNC3_DIFF_MAG       <= PinSignal_U_1PPS_Comparator1_BNC3_DIFF_MAG; -- ObjectKind=Net|PrimaryId=BNC3_DIFF_MAG[31..0]
    NamedSignal_BNC3_DIFF_SIGN      <= PinSignal_U_1PPS_Comparator1_BNC3_DIFF_SIGN; -- ObjectKind=Net|PrimaryId=BNC3_DIFF_SIGN
    NamedSignal_BNC4_FREQ           <= PinSignal_U_1PPS_Comparator_BNC4_FREQ; -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    NamedSignal_BNC5_FREQ           <= PinSignal_U_1PPS_Comparator_BNC5_FREQ; -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    NamedSignal_BNC6_FREQ           <= PinSignal_U_1PPS_Comparator_BNC6_FREQ; -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    NamedSignal_BNC7_FREQ           <= PinSignal_U_1PPS_Comparator_BNC7_FREQ; -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    NamedSignal_BNC8_FREQ           <= PinSignal_U_1PPS_Comparator_BNC8_FREQ; -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    NamedSignal_BNC9_FREQ           <= PinSignal_U_1PPS_Comparator_BNC9_FREQ; -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    NamedSignal_CFG_CLK             <= PinSignal_U117_O0; -- ObjectKind=Net|PrimaryId=CFG_CLK
    NamedSignal_CFG_CS              <= PinSignal_U117_O1; -- ObjectKind=Net|PrimaryId=CFG_CS
    NamedSignal_CFG_SO              <= PinSignal_U117_O2; -- ObjectKind=Net|PrimaryId=CFG_SO
    NamedSignal_CLK                 <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT                 <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_DIFF10              <= PinSignal_U_SUBTRACT_DELAY_10_DIFF; -- ObjectKind=Net|PrimaryId=DIFF10[31..0]
    NamedSignal_DIFF11              <= PinSignal_U_SUBTRACT_DELAY_11_DIFF; -- ObjectKind=Net|PrimaryId=DIFF11[31..0]
    NamedSignal_DIFF9               <= PinSignal_U_SUBTRACT_DELAY_9_DIFF; -- ObjectKind=Net|PrimaryId=DIFF9[31..0]
    NamedSignal_GND1_BUS            <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    NamedSignal_GND2_BUS            <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    NamedSignal_GND3_BUS            <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND3_BUS[31..0]
    NamedSignal_HIJACK10            <= PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_10; -- ObjectKind=Net|PrimaryId=HIJACK10
    NamedSignal_HIJACK11            <= PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_11; -- ObjectKind=Net|PrimaryId=HIJACK11
    NamedSignal_HIJACK9             <= PinSignal_U_GENERATE_OFFSET_1PPS_GENERATE_1PPS_OFFSET_9; -- ObjectKind=Net|PrimaryId=HIJACK9
    NamedSignal_LED                 <= LED; -- ObjectKind=Net|PrimaryId=LED
    NamedSignal_OUT_1PPS            <= OUT_1PPS; -- ObjectKind=Net|PrimaryId=OUT_1PPS
    NamedSignal_OUT_1PPS_10         <= PinSignal_U1112_O; -- ObjectKind=Net|PrimaryId=OUT_1PPS_10
    NamedSignal_OUT_1PPS_11         <= PinSignal_U1113_O; -- ObjectKind=Net|PrimaryId=OUT_1PPS_11
    NamedSignal_OUT_1PPS_9          <= PinSignal_U1111_O; -- ObjectKind=Net|PrimaryId=OUT_1PPS_9
    NamedSignal_P3OUT(0)            <= PinSignal_U118_O0; -- ObjectKind=Net|PrimaryId=P3OUT0
    NamedSignal_P3OUT(1)            <= PinSignal_U118_O1; -- ObjectKind=Net|PrimaryId=P3OUT1
    NamedSignal_P3OUT(2)            <= PinSignal_U118_O2; -- ObjectKind=Net|PrimaryId=P3OUT2
    NamedSignal_P3OUT(3)            <= PinSignal_U118_O3; -- ObjectKind=Net|PrimaryId=P3OUT3
    NamedSignal_S                   <= S; -- ObjectKind=Net|PrimaryId=S[1..64]
    OUT_1PPS_10                     <= NamedSignal_OUT_1PPS_10; -- ObjectKind=Net|PrimaryId=OUT_1PPS_10
    OUT_1PPS_11                     <= NamedSignal_OUT_1PPS_11; -- ObjectKind=Net|PrimaryId=OUT_1PPS_11
    OUT_1PPS_9                      <= NamedSignal_OUT_1PPS_9; -- ObjectKind=Net|PrimaryId=OUT_1PPS_9
    P3OUT                           <= NamedSignal_P3OUT; -- ObjectKind=Net|PrimaryId=P3OUT[3..0]
    PowerSignal_GND                 <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC                 <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    VCXO_CTRL                       <= PinSignal_U120_Q; -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]

End Structure;
------------------------------------------------------------

