------------------------------------------------------------
-- VHDL FPGARFCounterComparator5
-- 2021 8 19 11 57 30
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGARFCounterComparator5
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGARFCounterComparator5 Is
  port
  (
    X_1PPP_PARITY : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPP_PARITY
    X_1PPS        : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS
    BNC_IN        : In    STD_LOGIC_VECTOR(12 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC_IN[12..0]
    BNC_UP        : Out   STD_LOGIC_VECTOR(3 Downto 0);      -- ObjectKind=Port|PrimaryId=BNC_UP[3..0]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    J_LED         : Out   STD_LOGIC_VECTOR(3 Downto 0)       -- ObjectKind=Port|PrimaryId=J_LED[3..0]
  );
  attribute MacroCell : boolean;

End FPGARFCounterComparator5;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGARFCounterComparator5 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U132|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U132-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U132-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U132-O
      );
   End Component;

   Component CB4CEB                                          -- ObjectKind=Part|PrimaryId=U130|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U130-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U130-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U130-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U130-CLR
        Q   : out STD_LOGIC_VECTOR(3 Downto 0);              -- ObjectKind=Pin|PrimaryId=U130-Q[3..0]
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U130-TC
      );
   End Component;

   Component CB32REB                                         -- ObjectKind=Part|PrimaryId=U135|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U135-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U135-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U135-CEO
        Q   : out STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Pin|PrimaryId=U135-Q[31..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U135-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U135-TC
      );
   End Component;

   Component FD4S                                            -- ObjectKind=Part|PrimaryId=U134|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-C
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-D3
        Q0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-Q0
        Q1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-Q1
        Q2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-Q2
        Q3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U134-Q3
      );
   End Component;

   Component FDC                                             -- ObjectKind=Part|PrimaryId=U128|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U128-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U128-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U128-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U128-Q
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U127|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U127-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U127-O
      );
   End Component;

   Component XNOR2S                                          -- ObjectKind=Part|PrimaryId=U129|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U129-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U129-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U129-O
      );
   End Component;


    Signal NamedSignal_BNC_IN     : STD_LOGIC_VECTOR(12 Downto 0); -- ObjectKind=Net|PrimaryId=BNC_IN[12..0]
    Signal NamedSignal_BNC_UP     : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=BNC_UP[3..0]
    Signal NamedSignal_BNCA       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCA[31..0]
    Signal NamedSignal_BNCB       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCB[31..0]
    Signal NamedSignal_BNCC       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCC[31..0]
    Signal NamedSignal_BNCD       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCD[31..0]
    Signal NamedSignal_CLK        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_J_LED      : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=J_LED[3..0]
    Signal PinSignal_U127_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU127_O
    Signal PinSignal_U128_Q       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU128_Q
    Signal PinSignal_U129_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=J_LED0
    Signal PinSignal_U130_TC      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP0
    Signal PinSignal_U131_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU130_CE
    Signal PinSignal_U132_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU130_C
    Signal PinSignal_U133_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU128_CLR
    Signal PinSignal_U134_Q0      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU132_I1
    Signal PinSignal_U134_Q1      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU132_I0
    Signal PinSignal_U134_Q2      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU134_D3
    Signal PinSignal_U134_Q3      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU134_Q3
    Signal PinSignal_U135_Q       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCA[31..0]
    Signal PinSignal_U136_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU136_O
    Signal PinSignal_U137_Q       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCB[31..0]
    Signal PinSignal_U138_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU138_O
    Signal PinSignal_U139_Q       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU139_Q
    Signal PinSignal_U140_TC      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP1
    Signal PinSignal_U141_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=J_LED1
    Signal PinSignal_U142_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU140_CE
    Signal PinSignal_U143_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU139_CLR
    Signal PinSignal_U144_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU144_O
    Signal PinSignal_U145_Q       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_Q
    Signal PinSignal_U146_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=J_LED2
    Signal PinSignal_U147_TC      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP2
    Signal PinSignal_U148_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU147_CE
    Signal PinSignal_U149_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU147_C
    Signal PinSignal_U150_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_CLR
    Signal PinSignal_U151_Q0      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU149_I1
    Signal PinSignal_U151_Q1      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU149_I0
    Signal PinSignal_U151_Q2      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU151_D3
    Signal PinSignal_U151_Q3      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU151_Q3
    Signal PinSignal_U152_Q       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCC[31..0]
    Signal PinSignal_U153_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU153_O
    Signal PinSignal_U154_Q       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNCD[31..0]
    Signal PinSignal_U155_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU155_O
    Signal PinSignal_U156_Q       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU156_Q
    Signal PinSignal_U157_TC      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP3
    Signal PinSignal_U158_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=J_LED3
    Signal PinSignal_U159_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU157_CE
    Signal PinSignal_U160_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU156_CLR
    Signal PowerSignal_VCC        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U160 : INV                                               -- ObjectKind=Part|PrimaryId=U160|SecondaryId=1
      Port Map
      (
        I => NamedSignal_BNC_UP(3),                          -- ObjectKind=Pin|PrimaryId=U160-I
        O => PinSignal_U160_O                                -- ObjectKind=Pin|PrimaryId=U160-O
      );

    U159 : INV                                               -- ObjectKind=Part|PrimaryId=U159|SecondaryId=1
      Port Map
      (
        I => PinSignal_U157_TC,                              -- ObjectKind=Pin|PrimaryId=U159-I
        O => PinSignal_U159_O                                -- ObjectKind=Pin|PrimaryId=U159-O
      );

    U158 : XNOR2S                                            -- ObjectKind=Part|PrimaryId=U158|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U156_Q,                              -- ObjectKind=Pin|PrimaryId=U158-I0
        I1 => PinSignal_U160_O,                              -- ObjectKind=Pin|PrimaryId=U158-I1
        O  => PinSignal_U158_O                               -- ObjectKind=Pin|PrimaryId=U158-O
      );

    U157 : CB4CEB                                            -- ObjectKind=Part|PrimaryId=U157|SecondaryId=1
      Port Map
      (
        C   => PinSignal_U153_O,                             -- ObjectKind=Pin|PrimaryId=U157-C
        CE  => PinSignal_U159_O,                             -- ObjectKind=Pin|PrimaryId=U157-CE
        CLR => NamedSignal_BNCD(27),                         -- ObjectKind=Pin|PrimaryId=U157-CLR
        TC  => PinSignal_U157_TC                             -- ObjectKind=Pin|PrimaryId=U157-TC
      );

    U156 : FDC                                               -- ObjectKind=Part|PrimaryId=U156|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_BNC_IN(3),                        -- ObjectKind=Pin|PrimaryId=U156-C
        CLR => PinSignal_U160_O,                             -- ObjectKind=Pin|PrimaryId=U156-CLR
        D   => PinSignal_U155_O,                             -- ObjectKind=Pin|PrimaryId=U156-D
        Q   => PinSignal_U156_Q                              -- ObjectKind=Pin|PrimaryId=U156-Q
      );

    U155 : INV                                               -- ObjectKind=Part|PrimaryId=U155|SecondaryId=1
      Port Map
      (
        I => PowerSignal_VCC,                                -- ObjectKind=Pin|PrimaryId=U155-I
        O => PinSignal_U155_O                                -- ObjectKind=Pin|PrimaryId=U155-O
      );

    U154 : CB32REB                                           -- ObjectKind=Part|PrimaryId=U154|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U154-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U154-CE
        Q  => PinSignal_U154_Q,                              -- ObjectKind=Pin|PrimaryId=U154-Q[31..0]
        R  => PinSignal_U153_O                               -- ObjectKind=Pin|PrimaryId=U154-R
      );

    U153 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U153|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U151_Q3,                             -- ObjectKind=Pin|PrimaryId=U153-I0
        I1 => PinSignal_U151_Q2,                             -- ObjectKind=Pin|PrimaryId=U153-I1
        O  => PinSignal_U153_O                               -- ObjectKind=Pin|PrimaryId=U153-O
      );

    U152 : CB32REB                                           -- ObjectKind=Part|PrimaryId=U152|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U152-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U152-CE
        Q  => PinSignal_U152_Q,                              -- ObjectKind=Pin|PrimaryId=U152-Q[31..0]
        R  => PinSignal_U149_O                               -- ObjectKind=Pin|PrimaryId=U152-R
      );

    U151 : FD4S                                              -- ObjectKind=Part|PrimaryId=U151|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U151-C
        D0 => NamedSignal_BNC_IN(2),                         -- ObjectKind=Pin|PrimaryId=U151-D0
        D1 => PinSignal_U151_Q0,                             -- ObjectKind=Pin|PrimaryId=U151-D1
        D2 => NamedSignal_BNC_IN(3),                         -- ObjectKind=Pin|PrimaryId=U151-D2
        D3 => PinSignal_U151_Q2,                             -- ObjectKind=Pin|PrimaryId=U151-D3
        Q0 => PinSignal_U151_Q0,                             -- ObjectKind=Pin|PrimaryId=U151-Q0
        Q1 => PinSignal_U151_Q1,                             -- ObjectKind=Pin|PrimaryId=U151-Q1
        Q2 => PinSignal_U151_Q2,                             -- ObjectKind=Pin|PrimaryId=U151-Q2
        Q3 => PinSignal_U151_Q3                              -- ObjectKind=Pin|PrimaryId=U151-Q3
      );

    U150 : INV                                               -- ObjectKind=Part|PrimaryId=U150|SecondaryId=1
      Port Map
      (
        I => NamedSignal_BNC_UP(2),                          -- ObjectKind=Pin|PrimaryId=U150-I
        O => PinSignal_U150_O                                -- ObjectKind=Pin|PrimaryId=U150-O
      );

    U149 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U149|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U151_Q1,                             -- ObjectKind=Pin|PrimaryId=U149-I0
        I1 => PinSignal_U151_Q0,                             -- ObjectKind=Pin|PrimaryId=U149-I1
        O  => PinSignal_U149_O                               -- ObjectKind=Pin|PrimaryId=U149-O
      );

    U148 : INV                                               -- ObjectKind=Part|PrimaryId=U148|SecondaryId=1
      Port Map
      (
        I => PinSignal_U147_TC,                              -- ObjectKind=Pin|PrimaryId=U148-I
        O => PinSignal_U148_O                                -- ObjectKind=Pin|PrimaryId=U148-O
      );

    U147 : CB4CEB                                            -- ObjectKind=Part|PrimaryId=U147|SecondaryId=1
      Port Map
      (
        C   => PinSignal_U149_O,                             -- ObjectKind=Pin|PrimaryId=U147-C
        CE  => PinSignal_U148_O,                             -- ObjectKind=Pin|PrimaryId=U147-CE
        CLR => NamedSignal_BNCC(27),                         -- ObjectKind=Pin|PrimaryId=U147-CLR
        TC  => PinSignal_U147_TC                             -- ObjectKind=Pin|PrimaryId=U147-TC
      );

    U146 : XNOR2S                                            -- ObjectKind=Part|PrimaryId=U146|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U145_Q,                              -- ObjectKind=Pin|PrimaryId=U146-I0
        I1 => PinSignal_U150_O,                              -- ObjectKind=Pin|PrimaryId=U146-I1
        O  => PinSignal_U146_O                               -- ObjectKind=Pin|PrimaryId=U146-O
      );

    U145 : FDC                                               -- ObjectKind=Part|PrimaryId=U145|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_BNC_IN(2),                        -- ObjectKind=Pin|PrimaryId=U145-C
        CLR => PinSignal_U150_O,                             -- ObjectKind=Pin|PrimaryId=U145-CLR
        D   => PinSignal_U144_O,                             -- ObjectKind=Pin|PrimaryId=U145-D
        Q   => PinSignal_U145_Q                              -- ObjectKind=Pin|PrimaryId=U145-Q
      );

    U144 : INV                                               -- ObjectKind=Part|PrimaryId=U144|SecondaryId=1
      Port Map
      (
        I => PowerSignal_VCC,                                -- ObjectKind=Pin|PrimaryId=U144-I
        O => PinSignal_U144_O                                -- ObjectKind=Pin|PrimaryId=U144-O
      );

    U143 : INV                                               -- ObjectKind=Part|PrimaryId=U143|SecondaryId=1
      Port Map
      (
        I => NamedSignal_BNC_UP(1),                          -- ObjectKind=Pin|PrimaryId=U143-I
        O => PinSignal_U143_O                                -- ObjectKind=Pin|PrimaryId=U143-O
      );

    U142 : INV                                               -- ObjectKind=Part|PrimaryId=U142|SecondaryId=1
      Port Map
      (
        I => PinSignal_U140_TC,                              -- ObjectKind=Pin|PrimaryId=U142-I
        O => PinSignal_U142_O                                -- ObjectKind=Pin|PrimaryId=U142-O
      );

    U141 : XNOR2S                                            -- ObjectKind=Part|PrimaryId=U141|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U139_Q,                              -- ObjectKind=Pin|PrimaryId=U141-I0
        I1 => PinSignal_U143_O,                              -- ObjectKind=Pin|PrimaryId=U141-I1
        O  => PinSignal_U141_O                               -- ObjectKind=Pin|PrimaryId=U141-O
      );

    U140 : CB4CEB                                            -- ObjectKind=Part|PrimaryId=U140|SecondaryId=1
      Port Map
      (
        C   => PinSignal_U136_O,                             -- ObjectKind=Pin|PrimaryId=U140-C
        CE  => PinSignal_U142_O,                             -- ObjectKind=Pin|PrimaryId=U140-CE
        CLR => NamedSignal_BNCB(27),                         -- ObjectKind=Pin|PrimaryId=U140-CLR
        TC  => PinSignal_U140_TC                             -- ObjectKind=Pin|PrimaryId=U140-TC
      );

    U139 : FDC                                               -- ObjectKind=Part|PrimaryId=U139|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_BNC_IN(1),                        -- ObjectKind=Pin|PrimaryId=U139-C
        CLR => PinSignal_U143_O,                             -- ObjectKind=Pin|PrimaryId=U139-CLR
        D   => PinSignal_U138_O,                             -- ObjectKind=Pin|PrimaryId=U139-D
        Q   => PinSignal_U139_Q                              -- ObjectKind=Pin|PrimaryId=U139-Q
      );

    U138 : INV                                               -- ObjectKind=Part|PrimaryId=U138|SecondaryId=1
      Port Map
      (
        I => PowerSignal_VCC,                                -- ObjectKind=Pin|PrimaryId=U138-I
        O => PinSignal_U138_O                                -- ObjectKind=Pin|PrimaryId=U138-O
      );

    U137 : CB32REB                                           -- ObjectKind=Part|PrimaryId=U137|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U137-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U137-CE
        Q  => PinSignal_U137_Q,                              -- ObjectKind=Pin|PrimaryId=U137-Q[31..0]
        R  => PinSignal_U136_O                               -- ObjectKind=Pin|PrimaryId=U137-R
      );

    U136 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U136|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U134_Q3,                             -- ObjectKind=Pin|PrimaryId=U136-I0
        I1 => PinSignal_U134_Q2,                             -- ObjectKind=Pin|PrimaryId=U136-I1
        O  => PinSignal_U136_O                               -- ObjectKind=Pin|PrimaryId=U136-O
      );

    U135 : CB32REB                                           -- ObjectKind=Part|PrimaryId=U135|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U135-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U135-CE
        Q  => PinSignal_U135_Q,                              -- ObjectKind=Pin|PrimaryId=U135-Q[31..0]
        R  => PinSignal_U132_O                               -- ObjectKind=Pin|PrimaryId=U135-R
      );

    U134 : FD4S                                              -- ObjectKind=Part|PrimaryId=U134|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U134-C
        D0 => NamedSignal_BNC_IN(0),                         -- ObjectKind=Pin|PrimaryId=U134-D0
        D1 => PinSignal_U134_Q0,                             -- ObjectKind=Pin|PrimaryId=U134-D1
        D2 => NamedSignal_BNC_IN(1),                         -- ObjectKind=Pin|PrimaryId=U134-D2
        D3 => PinSignal_U134_Q2,                             -- ObjectKind=Pin|PrimaryId=U134-D3
        Q0 => PinSignal_U134_Q0,                             -- ObjectKind=Pin|PrimaryId=U134-Q0
        Q1 => PinSignal_U134_Q1,                             -- ObjectKind=Pin|PrimaryId=U134-Q1
        Q2 => PinSignal_U134_Q2,                             -- ObjectKind=Pin|PrimaryId=U134-Q2
        Q3 => PinSignal_U134_Q3                              -- ObjectKind=Pin|PrimaryId=U134-Q3
      );

    U133 : INV                                               -- ObjectKind=Part|PrimaryId=U133|SecondaryId=1
      Port Map
      (
        I => NamedSignal_BNC_UP(0),                          -- ObjectKind=Pin|PrimaryId=U133-I
        O => PinSignal_U133_O                                -- ObjectKind=Pin|PrimaryId=U133-O
      );

    U132 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U132|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U134_Q1,                             -- ObjectKind=Pin|PrimaryId=U132-I0
        I1 => PinSignal_U134_Q0,                             -- ObjectKind=Pin|PrimaryId=U132-I1
        O  => PinSignal_U132_O                               -- ObjectKind=Pin|PrimaryId=U132-O
      );

    U131 : INV                                               -- ObjectKind=Part|PrimaryId=U131|SecondaryId=1
      Port Map
      (
        I => PinSignal_U130_TC,                              -- ObjectKind=Pin|PrimaryId=U131-I
        O => PinSignal_U131_O                                -- ObjectKind=Pin|PrimaryId=U131-O
      );

    U130 : CB4CEB                                            -- ObjectKind=Part|PrimaryId=U130|SecondaryId=1
      Port Map
      (
        C   => PinSignal_U132_O,                             -- ObjectKind=Pin|PrimaryId=U130-C
        CE  => PinSignal_U131_O,                             -- ObjectKind=Pin|PrimaryId=U130-CE
        CLR => NamedSignal_BNCA(27),                         -- ObjectKind=Pin|PrimaryId=U130-CLR
        TC  => PinSignal_U130_TC                             -- ObjectKind=Pin|PrimaryId=U130-TC
      );

    U129 : XNOR2S                                            -- ObjectKind=Part|PrimaryId=U129|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U128_Q,                              -- ObjectKind=Pin|PrimaryId=U129-I0
        I1 => PinSignal_U133_O,                              -- ObjectKind=Pin|PrimaryId=U129-I1
        O  => PinSignal_U129_O                               -- ObjectKind=Pin|PrimaryId=U129-O
      );

    U128 : FDC                                               -- ObjectKind=Part|PrimaryId=U128|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_BNC_IN(0),                        -- ObjectKind=Pin|PrimaryId=U128-C
        CLR => PinSignal_U133_O,                             -- ObjectKind=Pin|PrimaryId=U128-CLR
        D   => PinSignal_U127_O,                             -- ObjectKind=Pin|PrimaryId=U128-D
        Q   => PinSignal_U128_Q                              -- ObjectKind=Pin|PrimaryId=U128-Q
      );

    U127 : INV                                               -- ObjectKind=Part|PrimaryId=U127|SecondaryId=1
      Port Map
      (
        I => PowerSignal_VCC,                                -- ObjectKind=Pin|PrimaryId=U127-I
        O => PinSignal_U127_O                                -- ObjectKind=Pin|PrimaryId=U127-O
      );

    -- Signal Assignments
    ---------------------
    BNC_UP                <= NamedSignal_BNC_UP; -- ObjectKind=Net|PrimaryId=BNC_UP[3..0]
    J_LED                 <= NamedSignal_J_LED; -- ObjectKind=Net|PrimaryId=J_LED[3..0]
    NamedSignal_BNC_IN    <= BNC_IN; -- ObjectKind=Net|PrimaryId=BNC_IN[12..0]
    NamedSignal_BNC_UP(0) <= PinSignal_U130_TC; -- ObjectKind=Net|PrimaryId=BNC_UP0
    NamedSignal_BNC_UP(1) <= PinSignal_U140_TC; -- ObjectKind=Net|PrimaryId=BNC_UP1
    NamedSignal_BNC_UP(2) <= PinSignal_U147_TC; -- ObjectKind=Net|PrimaryId=BNC_UP2
    NamedSignal_BNC_UP(3) <= PinSignal_U157_TC; -- ObjectKind=Net|PrimaryId=BNC_UP3
    NamedSignal_BNCA      <= PinSignal_U135_Q; -- ObjectKind=Net|PrimaryId=BNCA[31..0]
    NamedSignal_BNCB      <= PinSignal_U137_Q; -- ObjectKind=Net|PrimaryId=BNCB[31..0]
    NamedSignal_BNCC      <= PinSignal_U152_Q; -- ObjectKind=Net|PrimaryId=BNCC[31..0]
    NamedSignal_BNCD      <= PinSignal_U154_Q; -- ObjectKind=Net|PrimaryId=BNCD[31..0]
    NamedSignal_CLK       <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_J_LED(0)  <= PinSignal_U129_O; -- ObjectKind=Net|PrimaryId=J_LED0
    NamedSignal_J_LED(1)  <= PinSignal_U141_O; -- ObjectKind=Net|PrimaryId=J_LED1
    NamedSignal_J_LED(2)  <= PinSignal_U146_O; -- ObjectKind=Net|PrimaryId=J_LED2
    NamedSignal_J_LED(3)  <= PinSignal_U158_O; -- ObjectKind=Net|PrimaryId=J_LED3
    PowerSignal_VCC       <= '1'; -- ObjectKind=Net|PrimaryId=VCC

End Structure;
------------------------------------------------------------

